telepathy-butterfly crashed with ParseError in parse()

Bug #391912 reported by Don Zavitz on 2009-06-25
668
This bug affects 160 people
Affects Status Importance Assigned to Milestone
pymsn
Fix Released
Medium
papyon (Ubuntu)
High
Sebastien Bacher
Lucid
High
Sebastien Bacher

Bug Description

Binary package hint: telepathy-butterfly

i don't know what i was doing just apport popped up

ProblemType: Crash
Architecture: amd64
Date: Wed Jun 24 20:17:28 2009
DistroRelease: Ubuntu 9.10
ExecutablePath: /usr/lib/telepathy/telepathy-butterfly
InterpreterPath: /usr/bin/python2.6
NonfreeKernelModules: nvidia
Package: telepathy-butterfly 0.3.4-1
PackageArchitecture: all
ProcCmdline: /usr/bin/python /usr/lib/telepathy/telepathy-butterfly
ProcEnviron:
 SHELL=/bin/bash
 LANG=en_US.UTF-8
ProcVersionSignature: Ubuntu 2.6.30-10.12-generic
PythonArgs: ['/usr/lib/telepathy/telepathy-butterfly']
SourcePackage: telepathy-butterfly
Title: telepathy-butterfly crashed with ParseError in parse()
Uname: Linux 2.6.30-10-generic x86_64
UserGroups: adm admin cdrom dialout lpadmin plugdev sambashare

Related branches

Don Zavitz (dzavitz) wrote :
tags: removed: need-duplicate-check
visibility: private → public

this report has been filed here:

https://bugs.edge.launchpad.net/ubuntu/+source/pymsn/+bug/391912

"i don't know what i was doing"

"Traceback (most recent call last):
  File "/usr/lib/python2.6/dist-packages/pymsn/msnp/base.py", line 106, in _dispatch_command
    handler(command)
  File "/usr/lib/python2.6/dist-packages/pymsn/msnp/notification.py", line 386, in _handle_NLN
    urllib.unquote(command.arguments[5]))
  File "/usr/lib/python2.6/dist-packages/pymsn/p2p.py", line 142, in parse
    raise ParseError('Invalid MSNObject')
ParseError: Invalid MSNObject"

Thanks,

Pedro Villavicencio (pedro) wrote :

Thanks for your bug report. This bug has been reported to the developers of the software. You can track it and make comments here: https://bugs.freedesktop.org/show_bug.cgi?id=22552

affects: telepathy-butterfly (Ubuntu) → pymsn (Ubuntu)
Changed in pymsn (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in pymsn:
status: Unknown → Confirmed
ahnitaner (renata-g-lima) wrote :

telepathy-butterfly crashed with ParseError in parse()

Changed in pymsn (Ubuntu):
assignee: nobody → Ken VanDine (ken-vandine)
Ken VanDine (ken-vandine) wrote :

Can someone try to reproduce this with telepathy-butterfly 0.5.2 and python-papyon 0.4.3? pymsn has been replaced with papyon, which has fixed lots of bugs.

Moshie (moshjosh) wrote :

This bug has popped up twice-- both times while I'm away and in "suspended" power saving mode.

Ken VanDine (ken-vandine) wrote :

Moshie: Can you attach the crash report? I really need an updated backtrace, the backtrace we have is from pymsn which is no longer used by telepathy-butterfly.

On 30/10/2009 13:59, Ken VanDine wrote:
> Moshie: Can you attach the crash report? I really need an updated
> backtrace, the backtrace we have is from pymsn which is no longer used
> by telepathy-butterfly.
>
>
I just did it with bug #465458 (apport prevent me to attach file
directly to this bug)

Id2ndR (id2ndr) wrote :

I attached the new traceback directly here.

Ken VanDine : the other bug (bug #465458) can be marked as duplicate if this traceback is good.

Id2ndR (id2ndr) wrote :
nacho (nachovaca) wrote :

when coming back from Standby

cement_head (andorjkiss) wrote :

This bug is also affecting me - when resume from standby.

Andi (kahennig) wrote :

Same here, came back from lunch and apport greated as soon as the screensaver went away.

tags: added: bugpattern-needed
tags: added: bugpattern-written
removed: bugpattern-needed
andypiper (andypiperuk) wrote :

Seeing this issue on a live USB version of Karmic. It may be related to wifi dropout/reconnection, I'm not sure.

Bud (buddyclarke) wrote :

running lucid lynx alpha2, right clicked on empathy chat icon

Ruben Verweij (ruben-verweij) wrote :

Still here in lucid alpha 3.

Eyad Salah (eyad-salah) wrote :

I guess no one is doing anything about this bug. Lucid X64 (All up to date)

Fixed in papyon master

Pedro Villavicencio (pedro) wrote :

I'm getting this as well, backtrace is:

Traceback (most recent call last):
  File "/usr/lib/pymodules/python2.6/papyon/msnp/base.py", line 107, in _dispatch_command
    handler(command)
  File "/usr/lib/pymodules/python2.6/papyon/msnp/notification.py", line 453, in _handle_NLN
    urllib.unquote(command.arguments[idx]))
  File "/usr/lib/pymodules/python2.6/papyon/p2p.py", line 150, in parse
    raise ParseError('Invalid MSNObject')
ParseError: Invalid MSNObject

Changed in pymsn (Ubuntu):
importance: Medium → High
Changed in pymsn (Ubuntu Lucid):
milestone: none → ubuntu-10.04-beta-2
Sebastien Bacher (seb128) wrote :
affects: pymsn (Ubuntu Lucid) → papyon (Ubuntu Lucid)
Changed in papyon (Ubuntu Lucid):
status: Triaged → Fix Committed
assignee: Ken VanDine (ken-vandine) → Sebastien Bacher (seb128)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package papyon - 0.4.5-1ubuntu2

---------------
papyon (0.4.5-1ubuntu2) lucid; urgency=low

  * debian/patches/02_git_nln_handler.patch:
    - git change to fix a crashers when having web messenger users
      (lp: #391912)
 -- Sebastien Bacher <email address hidden> Mon, 22 Mar 2010 15:52:53 +0100

Changed in papyon (Ubuntu Lucid):
status: Fix Committed → Fix Released
Changed in pymsn:
status: Confirmed → Fix Released
Pedro Villavicencio (pedro) wrote :

Just to confirm that the fix works great, I've asked a few friends with web messenger to change status,send messages, etc and it so far there's no crash, in fact i haven't noticed any crash related to telepathy-butterfly/papyon after the update. will keep you posted if i find anything, Thanks!.

Changed in pymsn:
importance: Unknown → Medium
Changed in pymsn:
importance: Medium → Unknown
Changed in pymsn:
importance: Unknown → Medium
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.